# Enum AccessibilityCheckedState

java.lang.Object
java.lang.Enum<AccessibilityCheckedState>
com.codename1.ui.accessibility.AccessibilityCheckedState

All Implemented Interfaces:
  `Comparable<AccessibilityCheckedState>`

public enum AccessibilityCheckedState extends Enum<AccessibilityCheckedState>
Checked state for checkable semantic nodes.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHECKED`
  `MIXED`
  `UNCHECKED`
  `UNSPECIFIED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AccessibilityCheckedState`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AccessibilityCheckedState[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNSPECIFIED

    public static final AccessibilityCheckedState UNSPECIFIED

  - ### UNCHECKED

    public static final AccessibilityCheckedState UNCHECKED

  - ### CHECKED

    public static final AccessibilityCheckedState CHECKED

  - ### MIXED

    public static final AccessibilityCheckedState MIXED

- ## Method Details

  - ### values

    public static AccessibilityCheckedState[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AccessibilityCheckedState valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null